# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamPicOutput Class Reference

Class for outputting pictures. More...

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamPicOutput:

[legend]
Collaboration diagram for dirac::StreamPicOutput:

[legend]

List of all members.

## Public Member Functions

- StreamPicOutput ()
    Default Constructor.
- StreamPicOutput (const SeqParams &sp)
    Constructor.
- virtual ~StreamPicOutput ()
    virtual Destructor
- virtual bool WriteNextFrame (const Frame &myframe)
    Write the next frame to the output.
- SeqParams & GetSeqParams ()
    Get the sequence parameters.

## Protected Member Functions

- virtual bool WriteComponent (const PicArray &pic_data, const CompSort &cs)
    Write a component to file.

## Protected Attributes

- SeqParams m_sparams
    Sequence parameters.
- std::ostream * m_op_pic_ptr
    Output stream.

## Detailed Description

Abstract base class for classes that output frames to stream

## Constructor & Destructor Documentation

dirac::StreamPicOutput::StreamPicOutput | ( |  | ) |

dirac::StreamPicOutput::StreamPicOutput | ( | const SeqParams & | sp | ) |

Constructor, takes

Parameters:

  | sp | the sequence parameters

virtual dirac::StreamPicOutput::~StreamPicOutput | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool dirac::StreamPicOutput::WriteNextFrame | ( | const Frame & | myframe | ) | `[virtual]`

SeqParams& dirac::StreamPicOutput::GetSeqParams | ( |  | ) | `[inline]`

References m_sparams.

virtual bool dirac::StreamPicOutput::WriteComponent | ( | const PicArray & | pic_data,
|  | const CompSort & | cs |
| ) |  |  | `[protected, virtual]`

## Member Data Documentation

SeqParams dirac::StreamPicOutput::m_sparams `[protected]`

Referenced by GetSeqParams(), and dirac::MemoryStreamOutput::SetSequenceParams().

std::ostream* dirac::StreamPicOutput::m_op_pic_ptr `[protected]`

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.